Bug 233211 - [LBSE] Add runtime flag for Layer-based SVG engine (LBSE)
Summary: [LBSE] Add runtime flag for Layer-based SVG engine (LBSE)
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: SVG (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Nikolas Zimmermann
URL:
Keywords: InRadar
Depends on:
Blocks: 90738 233666
  Show dependency treegraph
 
Reported: 2021-11-16 14:08 PST by Nikolas Zimmermann
Modified: 2022-01-05 04:39 PST (History)
14 users (show)

See Also:


Attachments
Patch, v1 (8.87 KB, patch)
2021-11-16 14:50 PST, Nikolas Zimmermann
no flags Details | Formatted Diff | Diff
Patch, v2 (12.91 KB, patch)
2021-11-25 15:35 PST, Nikolas Zimmermann
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Nikolas Zimmermann 2021-11-16 14:08:03 PST
Add first bits of the Layer-Based SVG Engine (LBSE).

The plan is to upstream the LBSE (https://github.com/nikolaszimmermann/WebKitIgalia/commits/main) behind a runtime flag (+ build option), off by default, according to the strategy outlined in https://blogs.igalia.com/nzimmermann/posts/2021-10-29-layer-based-svg-engine/page/8/#svg-poc-upstreaming.

Let's get it started :-)
Comment 1 Nikolas Zimmermann 2021-11-16 14:50:52 PST
Created attachment 444438 [details]
Patch, v1
Comment 2 Radar WebKit Bug Importer 2021-11-23 14:08:21 PST
<rdar://problem/85711597>
Comment 3 Nikolas Zimmermann 2021-11-25 15:35:40 PST
Created attachment 445159 [details]
Patch, v2
Comment 4 Nikolas Zimmermann 2021-11-25 15:39:18 PST
Per Slack feedback, without RuntimeEnabledFeatures.
Comment 5 Sam Weinig 2021-11-27 15:57:15 PST
Comment on attachment 445159 [details]
Patch, v2

Looks good. Once things are a bit farther along it will probably make sense to move the flag from Internal to Experimental, but this seems right for now.

r=me
Comment 6 Nikolas Zimmermann 2021-11-28 23:41:46 PST
(In reply to Sam Weinig from comment #5)
> Comment on attachment 445159 [details]
> Patch, v2
> 
> Looks good. Once things are a bit farther along it will probably make sense
> to move the flag from Internal to Experimental, but this seems right for now.
Thanks Sam!
Comment 7 EWS 2021-11-29 00:27:12 PST
Committed r286204 (244586@main): <https://commits.webkit.org/244586@main>

All reviewed patches have been landed. Closing bug and clearing flags on attachment 445159 [details].